"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
const utils_request = require("./utils/request.js");
const utils_decimal = require("./utils/decimal.js");
const utils_checkaccess = require("./utils/checkaccess.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/car/index.js";
  "./pages/car/order.js";
  "./pages/user/index.js";
  "./pages/user/settings.js";
  "./pages/coupon/index.js";
  "./pages/orders/index.js";
  "./pages/product/index.js";
  "./pages/user/info.js";
  "./pages/login/index.js";
  "./pages/bind/user.js";
  "./pages/addr/index.js";
  "./pages/score/record.js";
  "./pages/score/clockin.js";
  "./pages/score/index.js";
  "./pages/score/product.js";
  "./pages/score/orders.js";
  "./pages/orders/completion.js";
  "./pages/webview/index.js";
  "./pages/coupon/order_coupon.js";
  "./pages/course/index.js";
  "./pagesA/search/index.js";
  "./pagesA/course/index.js";
  "./pagesA/course/reservation.js";
  "./pagesA/course/usercourse.js";
  "./pagesA/score/index.js";
  "./pagesA/score/product.js";
  "./pagesA/user/index.js";
  "./pagesA/orders/userorder.js";
  "./pagesA/user/favorites.js";
  "./pagesA/user/usercoupon.js";
}
const _sfc_main = {
  onLaunch: function() {
    console.log("App Launch");
  },
  onShow: function() {
    this.checkForUpdate();
  },
  onHide: function() {
    console.log("App Hide");
  },
  methods: {
    // 检查是否升级
    checkForUpdate() {
      const updateManager = common_vendor.index.getUpdateManager();
      updateManager.onCheckForUpdate(function(res) {
        console.log(res);
        if (res && res.hasUpdate) {
          common_vendor.index.showModal({
            title: "更新提示",
            content: "检测到新版，点击确认升级程序",
            showCancel: false,
            success(res2) {
              if (res2.confirm) {
                common_vendor.index.showLoading({ title: "程序更新中" });
                updateManager.onUpdateReady(function(res3) {
                  common_vendor.index.hideLoading();
                  updateManager.applyUpdate();
                });
                updateManager.onUpdateFailed(function(err) {
                  common_vendor.index.hideLoading();
                });
              }
            }
          });
        }
      });
    }
  }
};
function createApp() {
  const app = common_vendor.createSSRApp(_sfc_main);
  app.config.globalProperties.$http = utils_request.http;
  app.config.globalProperties.$decimal = utils_decimal.decimal;
  app.config.globalProperties.$checkAccess = utils_checkaccess.checkAccess;
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
