"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      // 产品列表
      couponList: [],
      // 请求参数
      requestParam: {
        page: 1,
        status: 0
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false
    };
  },
  onLoad() {
    if (!this.$checkAccess.alterLogin())
      return;
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/custom_coupon/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.couponList = re.data.data;
      }
    });
  },
  onShow() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.couponList.length > 0 || this.isReqing)
      return;
    this.isReqing = true;
    this.$http.request("api/custom_coupon/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.couponList = re.data.data;
      }
    });
  },
  onPullDownRefresh() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.isReqing)
      return false;
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/custom_coupon/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.couponList = re.data.data;
      }
    });
    common_vendor.index.stopPullDownRefresh();
  },
  onReachBottom() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.requestParam.page < 1)
      return;
    if (this.isLast)
      return;
    this.isReqing = true;
    this.requestParam.page = this.requestParam.page + 1;
    this.$http.request("api/custom_coupon/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.couponList.push(...re.data.data);
      }
    });
  },
  methods: {}
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.f($data.couponList, (item, index, i0) => {
      return common_vendor.e({
        a: item.rebate_type == 1
      }, item.rebate_type == 1 ? {
        b: common_vendor.t(item.rebate)
      } : {}, {
        c: item.rebate_type == 2
      }, item.rebate_type == 2 ? {
        d: common_vendor.t(item.rebate)
      } : {}, {
        e: item.rebate_type == 3
      }, item.rebate_type == 3 ? common_vendor.e({
        f: item.rebate_scope.length
      }, item.rebate_scope.length ? {
        g: common_vendor.t(item.rebate_scope[0].product_name)
      } : {}) : {}, {
        h: common_vendor.t(item.std_pay),
        i: item.rebate_type == 1
      }, item.rebate_type == 1 ? {} : {}, {
        j: item.rebate_type == 2
      }, item.rebate_type == 2 ? {} : {}, {
        k: item.rebate_type == 3
      }, item.rebate_type == 3 ? {} : {}, {
        l: item.status == 0
      }, item.status == 0 ? {} : {}, {
        m: item.status == 1
      }, item.status == 1 ? {} : {}, {
        n: item.status == 2
      }, item.status == 2 ? {} : {}, {
        o: item.status == 3
      }, item.status == 3 ? {} : {}, {
        p: item.status == 4
      }, item.status == 4 ? {} : {}, {
        q: item.type_id == 1
      }, item.type_id == 1 ? {} : {}, {
        r: item.type_id == 2
      }, item.type_id == 2 ? {} : {}, {
        s: common_vendor.t(item.exp_time),
        t: index
      });
    }),
    b: $data.isLast
  }, $data.isLast ? {} : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
