"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      // 产品列表
      orderList: [],
      // 请求参数
      requestParam: {
        page: 1,
        status: 0
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false
    };
  },
  onLoad() {
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    if (!this.$checkAccess.alterLogin())
      return;
    this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
  },
  onShow() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.orderList.length > 0 || this.isReqing)
      return;
    this.isReqing = true;
    this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
  },
  onPullDownRefresh() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.isReqing)
      return false;
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
    common_vendor.index.stopPullDownRefresh();
  },
  onReachBottom() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.requestParam.page < 1)
      return;
    if (this.isLast)
      return;
    if (this.isReqing)
      return;
    this.requestParam.page = this.requestParam.page + 1;
    this.isReqing = true;
    this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList.push(...re.data.data);
      }
    });
  },
  methods: {
    setStatus(status) {
      if (!this.$checkAccess.alterLogin())
        return;
      if (this.isReqing)
        return;
      this.requestParam.page = 1;
      this.isLast = false;
      this.requestParam.status = status;
      this.isReqing = true;
      this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
        this.isReqing = false;
        if (re.code == "success") {
          if (re.data.last_page >= this.requestParam.page)
            this.isLast = true;
          this.orderList = re.data.data;
        }
      });
    },
    changeHeight(index) {
      this.orderList[index].contents_class = this.orderList[index].contents_class ? 0 : 1;
    }
  }
};
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.n($data.requestParam.status == 0 ? "active" : ""),
    b: common_vendor.o(($event) => $options.setStatus(0)),
    c: common_vendor.n($data.requestParam.status == 1 ? "active" : ""),
    d: common_vendor.o(($event) => $options.setStatus(1)),
    e: common_vendor.n($data.requestParam.status == 8 ? "active" : ""),
    f: common_vendor.o(($event) => $options.setStatus(8)),
    g: !$data.orderList.length
  }, !$data.orderList.length ? {} : {}, {
    h: common_vendor.f($data.orderList, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(item.business_name),
        b: common_vendor.t(item.state),
        c: common_vendor.o(($event) => item.product_list.length > 1, index),
        d: common_vendor.f(item.product_list, (product_info, k1, i1) => {
          return {
            a: product_info.product_thumb,
            b: common_vendor.t(product_info.product_name),
            c: common_vendor.t(product_info.product_spec),
            d: common_vendor.t(product_info.buy_num),
            e: product_info.item_id
          };
        }),
        e: common_vendor.n(item.contents_class ? "active" : ""),
        f: item.product_list.length > 1
      }, item.product_list.length > 1 ? {
        g: "5c067d28-0-" + i0,
        h: common_vendor.p({
          type: item.contents_class ? "up" : "down",
          size: "20"
        }),
        i: common_vendor.o(($event) => $options.changeHeight(index), index)
      } : {}, {
        j: common_vendor.t(item.price_total),
        k: index
      });
    }),
    i: $data.isLast
  }, $data.isLast ? {} : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
