"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      status_bar_style: {},
      clockinList: [],
      isMark: {
        finish_day: 0,
        is_clockin: 0
      },
      scoreInfo: {
        score: 0,
        use_score: 0,
        wait_score: 0
      },
      isReqing: false
    };
  },
  onLoad() {
    let menuButtonInfo = common_vendor.index.getMenuButtonBoundingClientRect();
    this.status_bar_style = { height: menuButtonInfo.height + "px", "padding-top": menuButtonInfo.top + "px" };
  },
  onShow() {
    this.getClockinList();
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.isReqing)
      return;
    this.isReqing = true;
    this.$http.request("/api/custom_score/get_info", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        this.scoreInfo = re.data;
      }
    });
  },
  methods: {
    toClockin() {
      if (this.isMark.is_clockin)
        return;
      if (!this.$checkAccess.alterLogin())
        return;
      if (this.isReqing)
        return;
      this.isReqing = true;
      this.$http.request("api/score_clockin/finish", {}, "post").then((re) => {
        this.isReqing = false;
        if (re.code == "success") {
          this.isMark = re.data;
          this.scoreInfo.score = re.data.reward + this.scoreInfo.score;
          for (let i in this.clockinList) {
            if (this.clockinList[i].what_day <= this.isMark.finish_day)
              this.clockinList[i].is_finish = 1;
          }
        }
      });
    },
    getClockinList() {
      this.$http.request("api/score_clockin/get_list", this.requestParam).then((re) => {
        if (re.code == "success") {
          this.clockinList = re.data.list;
          this.isMark = re.data.is_mark;
        }
      });
    },
    goBack() {
      common_vendor.index.navigateBack({
        success: () => {
        },
        fail: (err) => {
          common_vendor.index.reLaunch({
            url: "/pages/index/index"
          });
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.p({
      type: "left",
      size: "25"
    }),
    b: common_vendor.o((...args) => $options.goBack && $options.goBack(...args)),
    c: common_vendor.s($data.status_bar_style),
    d: common_vendor.t($data.isMark.finish_day),
    e: common_vendor.t($data.scoreInfo.score),
    f: common_vendor.t($data.scoreInfo.wait_score),
    g: common_assets._imports_0$2,
    h: common_vendor.f($data.clockinList, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(item.what_day),
        b: index == 0 || index == 1 || index == 3 || index == 5
      }, index == 0 || index == 1 || index == 3 || index == 5 ? {
        c: common_assets._imports_0$2
      } : {}, {
        d: index == 2 || index == 4
      }, index == 2 || index == 4 ? {
        e: common_assets._imports_0$2,
        f: common_assets._imports_0$2
      } : {}, {
        g: index == 6
      }, index == 6 ? {
        h: common_assets._imports_0$2,
        i: common_assets._imports_0$2,
        j: common_assets._imports_0$2
      } : {}, {
        k: common_vendor.t(item.reward),
        l: common_vendor.n(item.is_finish ? "acitve" : ""),
        m: index
      });
    }),
    i: common_vendor.t($data.isMark.is_clockin ? "已签到" : "签到"),
    j: common_vendor.n($data.isMark.is_clockin ? "active" : ""),
    k: common_vendor.o(($event) => $options.toClockin())
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
