"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      // 产品列表
      productList: [],
      // 请求参数
      requestParam: {
        name: "",
        page: 1
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false
    };
  },
  onLoad() {
  },
  onShow() {
    if (this.isReqing)
      return;
    this.requestParam.name = "";
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/score_product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList = re.data.data;
      }
    });
  },
  onPullDownRefresh() {
    if (this.isReqing)
      return common_vendor.index.stopPullDownRefresh();
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/score_product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList = re.data.data;
      }
    });
    common_vendor.index.stopPullDownRefresh();
  },
  onReachBottom() {
    if (this.requestParam.page < 1)
      return;
    if (this.isLast)
      return;
    if (this.isReqing)
      return;
    this.requestParam.page = this.requestParam.page + 1;
    this.isReqing = true;
    this.$http.request("api/score_product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList.push(...re.data.data);
      }
    });
  },
  methods: {
    searchChange(e) {
      if (!this.requestParam.name) {
        this.searchOpen();
      }
    },
    searchOpen() {
      if (this.isReqing)
        return;
      this.isLast = false;
      this.requestParam.page = 1;
      this.isReqing = true;
      this.$http.request("api/score_product/get_list", this.requestParam).then((re) => {
        this.isReqing = false;
        if (re.code == "success") {
          this.productList = re.data.data;
          if (re.data.data.length && re.data.last_page >= this.requestParam.page)
            this.isLast = true;
        }
      });
    },
    toDetail(item) {
      common_vendor.index.navigateTo({
        url: "/pages/score/product?id=" + item.id
      });
    }
  }
};
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.productList, (item, index, i0) => {
      return {
        a: item.thumb,
        b: common_vendor.t(item.name),
        c: common_vendor.t(item.score),
        d: common_vendor.o(($event) => $options.toDetail(item), index),
        e: index
      };
    }),
    b: common_assets._imports_0$1,
    c: common_vendor.p({
      type: "search",
      size: "20"
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
