"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      // 产品列表
      orderList: [],
      // 请求参数
      requestParam: {
        page: 1,
        status: 0
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false
    };
  },
  onLoad() {
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    if (!this.$checkAccess.alterLogin())
      return;
    this.$http.request("api/score_orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
  },
  onShow() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.orderList.length > 0 || this.isReqing)
      return;
    this.isReqing = true;
    this.$http.request("api/score_orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
  },
  onPullDownRefresh() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.isReqing)
      return false;
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/score_orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
    common_vendor.index.stopPullDownRefresh();
  },
  onReachBottom() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.requestParam.page < 1)
      return;
    if (this.isLast)
      return;
    if (this.isReqing)
      return;
    this.requestParam.page = this.requestParam.page + 1;
    this.isReqing = true;
    this.$http.request("api/score_orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList.push(...re.data.data);
      }
    });
  },
  methods: {
    setStatus(status) {
      if (!this.$checkAccess.alterLogin())
        return;
      if (this.isReqing)
        return;
      this.requestParam.page = 1;
      this.isLast = false;
      this.requestParam.status = status;
      this.isReqing = true;
      this.$http.request("api/score_orders/get_list", this.requestParam).then((re) => {
        this.isReqing = false;
        if (re.code == "success") {
          if (re.data.last_page >= this.requestParam.page)
            this.isLast = true;
          this.orderList = re.data.data;
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: !$data.orderList.length
  }, !$data.orderList.length ? {} : {}, {
    b: common_vendor.f($data.orderList, (item, index, i0) => {
      return common_vendor.e({
        a: item.product_thumb,
        b: common_vendor.t(item.product_name),
        c: common_vendor.t(item.state),
        d: common_vendor.t(item.product_spec),
        e: common_vendor.t(item.buy_num),
        f: item.is_rebate
      }, item.is_rebate ? {} : {}, {
        g: common_vendor.t(item.score_total),
        h: index
      });
    }),
    c: $data.isLast
  }, $data.isLast ? {} : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
