"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      // 列表
      recordList: [],
      // 请求参数
      requestParam: {
        page: 1
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false
    };
  },
  onShow() {
    if (this.isReqing)
      return;
    if (!this.$checkAccess.alterLogin())
      return;
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/custom_score/get_record", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.recordList = re.data.data;
      }
    });
  },
  onPullDownRefresh() {
    if (this.isReqing)
      return common_vendor.index.stopPullDownRefresh();
    if (!this.$checkAccess.alterLogin())
      return common_vendor.index.stopPullDownRefresh();
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/custom_score/get_record", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.recordList = re.data.data;
      }
    });
    common_vendor.index.stopPullDownRefresh();
  },
  onReachBottom() {
    if (this.requestParam.page < 1)
      return;
    if (this.isLast)
      return;
    if (this.isReqing)
      return;
    if (!this.$checkAccess.alterLogin())
      return;
    this.requestParam.page = this.requestParam.page + 1;
    this.isReqing = true;
    this.$http.request("api/custom_score/get_record", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.recordList.push(...re.data.data);
      }
    });
  },
  methods: {}
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: !$data.recordList.length
  }, !$data.recordList.length ? {} : {}, {
    b: common_vendor.f($data.recordList, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(item.description),
        b: common_vendor.t(item.pay_time),
        c: item.score >= 0
      }, item.score >= 0 ? {
        d: common_vendor.t(item.score)
      } : {}, {
        e: item.score < 0
      }, item.score < 0 ? {
        f: common_vendor.t(item.score)
      } : {}, {
        g: index
      });
    }),
    c: $data.isLast
  }, $data.isLast ? {} : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
