"use strict";
const common_vendor = require("../../common/vendor.js");
const utils_city = require("../../utils/city.js");
const _sfc_main = {
  data() {
    return {
      requestParam: {
        province: "",
        city: ""
      },
      cityArray: [[], []],
      cityValue: [0, 0]
    };
  },
  onLoad() {
    this.cityArray.splice(0, 1, utils_city.getProvinces());
    this.cityArray.splice(1, 1, utils_city.getMyCity(this.cityValue[0]));
    this.requestParam.province = this.cityArray[0][this.cityValue[0]];
    this.requestParam.city = this.cityArray[1][this.cityValue[1]];
  },
  onShow() {
    if (!this.$checkAccess.alterLogin())
      return;
  },
  methods: {
    toApply() {
      if (!this.$checkAccess.alterLogin())
        return;
      common_vendor.index.showLoading({ mask: true });
      this.$http.request("api/custom/set_city", this.requestParam, "post").then((re) => {
        common_vendor.index.hideLoading();
        if (re.code != "success") {
          common_vendor.index.showToast({ title: re.msg, icon: "none" });
          return;
        }
        common_vendor.index.switchTab({ url: "/pages/user/index" });
      });
    },
    cityChange(e) {
      this.cityValue.splice(e.detail.column, 1, e.detail.value);
      if (e.detail.column == 0) {
        this.cityValue.splice(1, 1, 0);
        this.cityValue.splice(2, 1, 0);
      }
      if (e.detail.column == 1) {
        this.cityValue.splice(2, 1, 0);
      }
      this.cityArray.splice(0, 1, utils_city.getProvinces());
      this.cityArray.splice(1, 1, utils_city.getMyCity(this.cityValue[0]));
    },
    cityFinish(e) {
      this.requestParam.city_id = this.cityArray[1][this.cityValue[1]];
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.requestParam.province
  }, $data.requestParam.province ? {
    b: common_vendor.t($data.requestParam.province)
  } : {}, {
    c: $data.requestParam.city
  }, $data.requestParam.city ? {
    d: common_vendor.t($data.requestParam.city)
  } : {}, {
    e: $data.cityArray,
    f: common_vendor.o((...args) => $options.cityChange && $options.cityChange(...args)),
    g: common_vendor.o((...args) => $options.cityFinish && $options.cityFinish(...args)),
    h: common_vendor.o((...args) => $options.toApply && $options.toApply(...args))
  });
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
