"use strict";
const common_vendor = require("../common/vendor.js");
const checkLogin = () => {
  let userLogin = common_vendor.index.getStorageSync("userLogin");
  if (!userLogin || !userLogin.authcode || userLogin.expires_in <= Math.floor((/* @__PURE__ */ new Date()).getTime() / 1e3)) {
    return false;
  }
  return true;
};
const alterLogin = () => {
  let userLogin = common_vendor.index.getStorageSync("userLogin");
  if (!userLogin || !userLogin.authcode || userLogin.expires_in <= Math.floor((/* @__PURE__ */ new Date()).getTime() / 1e3)) {
    common_vendor.index.showModal({
      title: "请登录",
      success(res) {
        if (res.confirm) {
          common_vendor.index.navigateTo({
            url: "/pages/login/index"
          });
        }
      }
    });
    return false;
  }
  return true;
};
const checkShowPrice = () => {
  let userInfo = common_vendor.index.getStorageSync("userInfo");
  if (!userInfo)
    return false;
  if (!userInfo.show_price)
    return false;
  return true;
};
const alertCity = () => {
  let userInfo = common_vendor.index.getStorageSync("userInfo");
  if (!userInfo || !userInfo.city_id) {
    common_vendor.index.showModal({
      title: "请先选择您的城市",
      success(res) {
        if (res.confirm) {
          common_vendor.index.navigateTo({
            url: "/pages/user/info"
          });
        }
      }
    });
    return false;
  }
  return true;
};
const getFollowQrcode = () => {
  let userInfo = common_vendor.index.getStorageSync("userInfo");
  if (!userInfo)
    return "";
  if (!userInfo.follow_qrcode)
    return "";
  return userInfo.follow_qrcode;
};
const checkAccess = { checkLogin, alterLogin, checkShowPrice, alertCity, getFollowQrcode };
exports.checkAccess = checkAccess;
