"use strict";
const common_vendor = require("../common/vendor.js");
var domain = "https://kailin.dfwy.tech/";
domain = common_vendor.index.getAccountInfoSync().miniProgram.envVersion == "release" ? "https://mall.findit.ltd/" : "https://kailin.dfwy.tech/";
const request = (url, data = {}, method = "GET") => {
  let userLogin = common_vendor.index.getStorageSync("userLogin");
  if (userLogin && userLogin.authcode)
    data = Object.assign({ authcode: userLogin.authcode }, data);
  return new Promise((resolve, reject) => {
    common_vendor.index.request({
      url: domain + url,
      method,
      data,
      success: (res) => {
        if (res.data.code == "no_login") {
          common_vendor.index.setStorageSync("userLogin", null);
          common_vendor.index.setStorageSync("userInfo", null);
          common_vendor.index.showModal({
            title: "请登录",
            success(res2) {
              if (res2.confirm) {
                common_vendor.index.navigateTo({
                  url: "/pages/login/index"
                });
              }
            }
          });
        }
        resolve(res.data);
      },
      fail: (err) => {
        reject(err);
      }
    });
  });
};
const fileupload = (url, filePath, data = {}) => {
  let userLogin = common_vendor.index.getStorageSync("userLogin");
  if (userLogin && userLogin.authcode)
    data = Object.assign({ authcode: userLogin.authcode }, data);
  return new Promise((resolve, reject) => {
    common_vendor.index.uploadFile({
      url: domain + url,
      // 你的上传接口地址
      filePath,
      name: "file",
      // 必须填写，为了后端接收文件流的参数名字
      formData: data,
      // 其他要上传的参数
      success: (res) => {
        if (res.data.code == "no_login") {
          common_vendor.index.showModal({
            title: "请登录",
            success(res2) {
              if (res2.confirm) {
                common_vendor.index.navigateTo({
                  url: "/pages/login/index"
                });
              }
            }
          });
        }
        let resdata = JSON.parse(res.data.replace("\uFEFF", ""));
        resolve(resdata);
      },
      fail: (err) => {
        reject(err);
      }
    });
  });
};
const http = { request, fileupload };
exports.http = http;
